Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1199552 - [abrt] WARNING: CPU: 3 PID: 6095 at drivers/net/wireless/iwlwifi/pcie/tx.c:1077 iwl_trans_pcie_txq_enable+0x309/0x530 [iwlwifi]() [iwlwifi] [NEEDINFO]
Summary: [abrt] WARNING: CPU: 3 PID: 6095 at drivers/net/wireless/iwlwifi/pcie/tx.c:10...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62792393796f36280b54117017d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 15:41 UTC by Mitsutoshi Kiuchi
Modified: 2015-12-02 17:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:50:30 UTC
Type: ---
kernel-team: needinfo?


Attachments (Terms of Use)
File: dmesg (169.68 KB, text/plain)
2015-03-06 15:41 UTC, Mitsutoshi Kiuchi
no flags Details

Description Mitsutoshi Kiuchi 2015-03-06 15:41:06 UTC
Additional info:
reporter:       libreport-2.3.0
WARNING: CPU: 3 PID: 6095 at drivers/net/wireless/iwlwifi/pcie/tx.c:1077 iwl_trans_pcie_txq_enable+0x309/0x530 [iwlwifi]()
queue 16 already used - expect issues
Modules linked in:
 ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc bnep arc4 intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm uvcvideo snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi iwlmvm videobuf2_vmalloc videobuf2_core snd_hda_intel mac80211 videobuf2_memops iTCO_wdt snd_hda_controller iTCO_vendor_support v4l2_common crct10dif_pclmul crc32_pclmul
 vfat crc32c_intel fat videodev iwlwifi snd_hda_codec ghash_clmulni_intel btusb cfg80211 snd_hwdep bluetooth snd_seq mei_me snd_seq_device mei serio_raw media snd_pcm tpm_tis i2c_i801 lpc_ich mfd_core shpchp wmi rfkill tpm snd_timer snd soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core video hid_logitech_dj
CPU: 3 PID: 6095 Comm: kworker/u16:2 Not tainted 3.18.7-200.fc21.x86_64 #1
Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET25W (1.03 ) 12/01/2014
Workqueue: phy0 ieee80211_iface_work [mac80211]
 0000000000000000 0000000011ff57a9 ffff88005ffe3a08 ffffffff8175e686
 0000000000000000 ffff88005ffe3a60 ffff88005ffe3a48 ffffffff810991d1
 ffff88005ffe3a48 0000000000000010 0000000000000085 0000000000000010
Call Trace:
 [<ffffffff8175e686>] dump_stack+0x46/0x58
 [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff81099245>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa04a4219>] iwl_trans_pcie_txq_enable+0x309/0x530 [iwlwifi]
 [<ffffffffa05e2d72>] ? iwl_mvm_send_cmd_status+0xa2/0x1d0 [iwlmvm]
 [<ffffffffa05e36bb>] iwl_mvm_enable_txq+0x6b/0x150 [iwlmvm]
 [<ffffffffa05e8888>] iwl_mvm_sta_tx_agg_oper+0x108/0x180 [iwlmvm]
 [<ffffffffa05dcabf>] iwl_mvm_mac_ampdu_action+0x1bf/0x210 [iwlmvm]
 [<ffffffffa053048f>] ieee80211_agg_tx_operational+0xaf/0x200 [mac80211]
 [<ffffffffa053136a>] ieee80211_process_addba_resp+0xfa/0x170 [mac80211]
 [<ffffffffa0537438>] ieee80211_iface_work+0x3c8/0x420 [mac80211]
 [<ffffffff810b245d>] process_one_work+0x14d/0x400
 [<ffffffff810b2deb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d80>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b801a>] kthread+0xea/0x100
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176537c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 1 Mitsutoshi Kiuchi 2015-03-06 15:41:11 UTC
Created attachment 998920 [details]
File: dmesg

Comment 2 Mark T. Kennedy 2015-04-28 17:41:58 UTC
Description of problem:
no idea

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.5-200.fc21.x86_64 root=UUID=2aff5ffd-430f-4800-897e-ac1941416695 ro vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.5-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 21039 at drivers/net/wireless/iwlwifi/pcie/tx.c:1136 iwl_trans_pcie_txq_enable+0x309/0x530 [iwlwifi]()
queue 16 already used - expect issues
Modules linked in:
 ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc bnep intel_rapl arc4 iosf_mbi x86_pkg_temp_thermal btusb uvcvideo bluetooth coretemp snd_hda_codec_realtek snd_hda_codec_generic videobuf2_vmalloc snd_hda_codec_hdmi videobuf2_core videobuf2_memops v4l2_common kvm videodev snd_hda_intel snd_hda_controller iTCO_wdt iTCO_vendor_support snd_hda_codec
 iwlmvm hid_multitouch snd_hwdep snd_seq media mac80211 crct10dif_pclmul crc32_pclmul crc32c_intel snd_seq_device snd_pcm ghash_clmulni_intel iwlwifi joydev serio_raw cfg80211 i2c_i801 rtsx_pci_ms thinkpad_acpi lpc_ich tpm_tis memstick wmi tpm snd_timer rfkill snd mei_me mei shpchp soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm rtsx_pci ptp pps_core mfd_core video
CPU: 2 PID: 21039 Comm: kworker/u16:0 Not tainted 3.19.5-200.fc21.x86_64 #1
Hardware name: LENOVO 20B7S29N00/20B7S29N00, BIOS GJET78WW (2.28 ) 07/29/2014
Workqueue: phy0 ieee80211_iface_work [mac80211]
 0000000000000000 0000000034884fd2 ffff880134f87a08 ffffffff8176ead5
 0000000000000000 ffff880134f87a60 ffff880134f87a48 ffffffff8109bc1a
 ffff880134f87a48 0000000000000010 0000000000000005 0000000000000010
Call Trace:
 [<ffffffff8176ead5>] dump_stack+0x45/0x57
 [<ffffffff8109bc1a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bca5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa044e639>] iwl_trans_pcie_txq_enable+0x309/0x530 [iwlwifi]
 [<ffffffffa0580762>] ? iwl_mvm_send_cmd_status+0xa2/0x1d0 [iwlmvm]
 [<ffffffffa05810ab>] iwl_mvm_enable_txq+0x6b/0x150 [iwlmvm]
 [<ffffffffa058693b>] iwl_mvm_sta_tx_agg_oper+0x10b/0x180 [iwlmvm]
 [<ffffffffa057a19f>] iwl_mvm_mac_ampdu_action+0x1bf/0x210 [iwlmvm]
 [<ffffffffa0498b6f>] ieee80211_agg_tx_operational+0xaf/0x200 [mac80211]
 [<ffffffffa0499a4a>] ieee80211_process_addba_resp+0xfa/0x170 [mac80211]
 [<ffffffffa049fcdc>] ieee80211_iface_work+0x3bc/0x460 [mac80211]
 [<ffffffff810d46dc>] ? put_prev_task_fair+0x2c/0x40
 [<ffffffff810b487c>] process_one_work+0x14c/0x3f0
 [<ffffffff810b52f3>] worker_thread+0x53/0x470
 [<ffffffff810b52a0>] ? rescuer_thread+0x300/0x300
 [<ffffffff810ba548>] kthread+0xd8/0xf0
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81775218>] ret_from_fork+0x58/0x90
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 3 Fedora Kernel Team 2015-04-28 18:34:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 4 logicexpertise 2015-08-01 07:16:37 UTC
Description of problem:
1. perform system upgrade using fedup --network 21 --product=non-product --nogpgcheck
2. reboot
3. login
4. problem happens

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.8-200.fc21.x86_64 root=/dev/mapper/fedora_moremi-root ro rd.lvm.lv=fedora_moremi/swap rd.lvm.lv=fedora_moremi/root vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_AU.UTF-8
kernel:         3.19.8-100.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 7410 at drivers/net/wireless/iwlwifi/pcie/tx.c:1136 iwl_trans_pcie_txq_enable+0x319/0x530 [iwlwifi]()
queue 16 already used - expect issues
Modules linked in:
 snd_usb_audio snd_usbmidi_lib snd_rawmidi uinput hid_lenovo hidp rfcomm fuse ccm nf_conntrack_sane nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 iptable_mangle iptable_security iptable_raw bnep binfmt_misc arc4 vfat fat rtsx_pci_ms rtsx_pci_sdmmc iTCO_wdt memstick iTCO_vendor_support dell_wmi sparse_keymap dell_laptop dcdbas i8k intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm dell_led snd_hda_codec_realtek snd_hda_codec_generic crct10dif_pclmul snd_hda_codec_hdmi
 crc32_pclmul iwlmvm snd_soc_rt5640 crc32c_intel snd_soc_rl6231 snd_hda_intel mac80211 snd_hda_controller snd_soc_core uvcvideo snd_compress snd_hda_codec videobuf2_vmalloc joydev videobuf2_core snd_hwdep videobuf2_memops serio_raw i2c_i801 ghash_clmulni_intel snd_seq iwlwifi snd_seq_device snd_pcm v4l2_common cfg80211 btusb rtsx_pci bluetooth hid_multitouch lpc_ich mfd_core mei_me rfkill snd_timer videodev shpchp snd mei media dw_dmac wmi soundcore regmap_i2c dell_smo8800 dw_dmac_core i2c_hid i2c_designware_platform snd_soc_sst_acpi i2c_designware_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage i915 i2c_algo_bit drm_kms_helper drm sdhci_acpi sdhci mmc_core video nf_nat_pptp nf_nat_proto_gre nf_nat nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack
CPU: 3 PID: 7410 Comm: kworker/u16:0 Not tainted 3.19.8-100.fc20.x86_64 #1
Hardware name: Dell Inc.          Inspiron 7437/0MR6V5, BIOS A07 04/28/2014
Workqueue: phy0 ieee80211_iface_work [mac80211]
 0000000000000000 00000000f19fd561 ffff88002b7d7a38 ffffffff8175c199
 0000000000000000 ffff88002b7d7a90 ffff88002b7d7a78 ffffffff8109ad5a
 ffff88002b7d7a88 0000000000000010 ffff8800cfc38000 0000000000000362
Call Trace:
 [<ffffffff8175c199>] dump_stack+0x45/0x57
 [<ffffffff8109ad5a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109ade5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa04f4759>] iwl_trans_pcie_txq_enable+0x319/0x530 [iwlwifi]
 [<ffffffffa0749a6a>] ? iwl_mvm_send_cmd_pdu_status+0x4a/0x70 [iwlmvm]
 [<ffffffffa074a216>] iwl_mvm_enable_txq+0x66/0x150 [iwlmvm]
 [<ffffffffa074f99e>] iwl_mvm_sta_tx_agg_oper+0x10e/0x180 [iwlmvm]
 [<ffffffffa07428e5>] ? iwl_mvm_ref_sync+0x35/0x150 [iwlmvm]
 [<ffffffffa07430df>] iwl_mvm_mac_ampdu_action+0x1bf/0x220 [iwlmvm]
 [<ffffffffa0642710>] ieee80211_agg_tx_operational+0xb0/0x1f0 [mac80211]
 [<ffffffff810d14ca>] ? dequeue_entity+0x11a/0x550
 [<ffffffffa064329b>] ieee80211_start_tx_ba_cb+0xeb/0x140 [mac80211]
 [<ffffffffa0649295>] ieee80211_iface_work+0x145/0x450 [mac80211]
 [<ffffffff810d2dac>] ? put_prev_task_fair+0x2c/0x40
 [<ffffffff810b38f8>] process_one_work+0x148/0x3d0
 [<ffffffff810b3fbb>] worker_thread+0x11b/0x460
 [<ffffffff810b3ea0>] ? rescuer_thread+0x320/0x320
 [<ffffffff810b91a8>] kthread+0xd8/0xf0
 [<ffffffff810b90d0>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81763498>] ret_from_fork+0x58/0x90
 [<ffffffff810b90d0>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 5 Fedora End Of Life 2015-11-04 10:58:57 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 09:50:37 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.